<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: std::numeric_limits&lt; units::unit_t&lt; Units, T, NonLinearScale &gt; &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>std</b></li><li class="navelem"><a class="el" href="classstd_1_1numeric__limits_3_01units_1_1unit__t_3_01_units_00_01_t_00_01_non_linear_scale_01_4_01_4.html">numeric_limits&lt; units::unit_t&lt; Units, T, NonLinearScale &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classstd_1_1numeric__limits_3_01units_1_1unit__t_3_01_units_00_01_t_00_01_non_linear_scale_01_4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">std::numeric_limits&lt; units::unit_t&lt; Units, T, NonLinearScale &gt; &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aa64dc1ed7cbec8e1bbf163a075ba928f"><td class="memItemLeft" align="right" valign="top"><a id="aa64dc1ed7cbec8e1bbf163a075ba928f"></a>
static constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>min</b> ()</td></tr>
<tr class="separator:aa64dc1ed7cbec8e1bbf163a075ba928f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a9f120965bf2bc45bc556676644e005"><td class="memItemLeft" align="right" valign="top"><a id="a4a9f120965bf2bc45bc556676644e005"></a>
static constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>max</b> ()</td></tr>
<tr class="separator:a4a9f120965bf2bc45bc556676644e005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af644974b1a3decf28504d1ba335feffe"><td class="memItemLeft" align="right" valign="top"><a id="af644974b1a3decf28504d1ba335feffe"></a>
static constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>lowest</b> ()</td></tr>
<tr class="separator:af644974b1a3decf28504d1ba335feffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/mnt/e/workspace/units-master/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:53 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
